/**
 * ANCHOR Customising
 *
 */
html {
    font-size: 100%;
    font-weight: 300;
}

h1,
h2,
h3,
h4 {
    font-size: 2.3em;
    font-weight: 400;
    line-height: 1.1em;
}

h2 {
    font-size: 1.45em;
}

h3 {
    font-size: 1.2em;
    color: rgb(51, 51, 51);
}

h4 {
    font-size: 1.05em;
    color: rgb(51, 51, 51);
}

a.forward {
    font-weight: 400;
    padding-right: 20px;
    background: transparent url("../images/icon_nav_forward_light.svg") center right no-repeat;
    background-size: auto 16px;
}

a:hover.forward {
    background: transparent url("../images/icon_nav_forward_dark.svg") center right no-repeat;
    background-size: auto 16px;
}

a.back {
    font-weight: 400;
    padding-left: 20px;
    background: transparent url("../images/icon_nav_back_light.svg") center left no-repeat;
    background-size: auto 16px;
}

a:hover.back {
    background: transparent url("../images/icon_nav_back_dark.svg") center left no-repeat;
    background-size: auto 16px;
}


header {
    text-transform: uppercase;

    & section:first-child {

        .clx-logo {
            img {
                height: 100px;
            }
        }

        & .clx-navigation {

            ul {
                margin-right: -15px;

                li {
                    a {
                        font-weight: 300;
                        color: var(--clx-color-gray);

                        &:hover {
                            color: var(--clx-color);
                        }

                        &.icon {
                            padding: 0;
                            margin: 0 0 0 15px;
                            width: 34px;
                            height: 34px;
                            cursor: pointer;
                            background-size: 20px auto;
                            background-position: right center;
                            background-repeat: no-repeat;

                            &.icon-search {
                                background-image: url(../images/icon_search_gray.svg);

                                &:hover {
                                    background-image: url(../images/icon_search_dark.svg);
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    & section:last-child {
        background-color: var(--clx-color-primary);

        & .clx-navigation {
            ul {
                li {
                    ul {
                        transition: none;

                        li {
                            text-transform: none;

                            a {
                                padding-top: 6px;
                                padding-bottom: 6px;
                            }
                        }
                    }
                }
            }
        }
    }
}

main {
    padding-top: 150px;
    min-height: 55svh;

    .clx-hero {
        height: 46vh;

        .clx-fullscreen-content {
            justify-content: flex-start;
            align-items: flex-end;
            width: 100%;

            .title {
                width: 100%;
                height: fit-content;
                background: linear-gradient(90deg, rgba(255 255 255 / 1) 0%, rgba(255 255 255 / 1) 30%, rgba(255 255 255 / 0) 100%), linear-gradient(0deg, white 0%, white 10px, transparent 10px, transparent 100%);

                div {
                    h1 {
                        margin: 26px 0 5px 0;
                    }
                }
            }
        }
    }

    & .clx-navigation-skyscraper {
        position: sticky;
        top: 220px;
        min-height: 50px;
        margin: 0 0 100px 0;
        width: 100%;

        ul {
            padding: 0;
            margin: 0;

            li {
                a {
                    padding: 4px 0;
                    color: var(--clx-color);
                    font-weight: var(--clx-nav-a-weight);
                    font-size: var(---clx-nav-a-a-size);

                    &:hover,
                    &.active,
                    &.starter_active {
                        text-decoration: none;
                        color: var(--clx-color-primary);
                    }
                }

                ul {
                    padding-bottom: 10px;

                    li {
                        a {

                            padding-left: 25px;
                            line-height: 1.3;
                            font-weight: 300;

                            &:before {
                                content: "–";
                                margin-right: 5px;
                                margin-left: -15px;
                            }
                        }
                    }
                }
            }
        }
    }

    h2.month {
        position: relative;
        width: 100%;

        &::after {
            content: '';
            position: relative;
            display: block;
            box-sizing: border-box;
            margin-top: 6px;
            width: 100%;
            border-bottom: 1px dotted var(--clx-color-gray);
        }
    }

    .clx-calendar {
        & div:first-child {
            font-size: 1.45em;
            font-weight: var(--clx-font-weight-h1-h6);
            color: var(--clx-color-primary);
        }

    }

    .content {
        padding-right: 60px;
    }

    hr {
        border-top: 1px dotted var(--clx-border-color);
        background: transparent;
    }

    .staff {
        .canvas {
            width: 100%;
            aspect-ratio: 3 / 4;
            overflow: hidden;
            background-color: var(--clx-color-darkwhite);
        }

        .canvas img {
            width: 100%;
            height: 100%;
            box-sizing: border-box;
            object-fit: cover;
            object-position: center;
        }
    }

    .commercial {
        ul.alphaindex {
            display: flex;
            justify-content: space-between;
            width: 100%;

            li {
                list-style: none;
                margin: 0;
            }
        }
    }

    .onlineschalter {
        li {
            list-style: none;
            margin: 18px 0 0 0;
            padding: 0 0 0 30px;
            background-image: url(../images/icon_onlineschalter_dark.svg);
            background-position: top left;
            background-size: auto 20px;
            background-repeat: no-repeat;
            font-weight: 500;

            &:hover {
                background-image: url(../images/icon_onlineschalter_light.svg);
            }

            &::before {
                content: none;
            }

            a {
                color: var(--clx-color);

                &:hover {
                    color: var(--clx-color-primary);
                }
            }
        }
    }

}

footer {

    .clx-logo {
        img {
            width: 230px;
        }
    }

    h4 {
        color: var(--clx-color-white);
    }

    & section:last-child {
        background-color: var(--clx-color-primary);

        & nav {
            margin-right: -20px;

            ul {
                li {
                    display: inline;
                    list-style: none;

                    a {
                        padding-top: 0;
                        padding-bottom: 0;
                        font-weight: 300;
                        font-size: var(--clx-font-size);
                    }
                }
            }
        }
    }
}

.clx-totop {
    bottom: 10px;
}

.clx-navigation-mobile {

    .clx-form {
        margin-left: -10px;
        margin-right: -10px;
        padding-top: 30px;
        padding-bottom: 15px;

        input {
            padding-left: 45px;
            color: white;
            border-color: white;
            background-color: var(--clx-color-primary);
            background-size: 20px auto;
            background-position: 15px center;
            background-repeat: no-repeat;
            background-image: url(../images/icon_search_light.svg);

        }
    }

    ul {
        li {
            a {
                text-transform: uppercase;
            }

            ul {
                li {
                    a {
                        text-transform: none;
                    }
                }
            }
        }
    }
}

.clx-form input {

    &.searchbox {
        padding-left: 50px;
        background: #ffffff url(../images/icon_search_gray.svg) 15px center no-repeat;
        background-size: 20px auto;
    }
}

.clx-splide-canvas .splide__slide {
    width: 100%;
    aspect-ratio: var(--clx-card-aspect-ratio);
    overflow: hidden;
}

.splide__slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.splide__arrow {
    background: transparent;

    & svg {
        fill: var(--clx-color-white);
    }
}

.clx-bubble {
    top: 220px;
    background-color: var(--clx-color-white);
    transform: rotate(10deg);
    flex-direction: column;
    flex-wrap: nowrap;
    color: initial;

    &.clx-bubble-position-right {
        right: 10vw;
    }

    h1,
    h2,
    h3,
    h4 {
        color: var(--clx-color-primary);
        margin-top: 0;
    }
}


/**
 * ANCHOR Media Queries
 *
 */
@media (max-width: 1260px) {}

@media (max-width: 1020px) {


    header {
        border-bottom: 10px solid var(--clx-color-primary);

        & section:first-child {
            .nav1 {
                display: none;
            }

            .nav2 {
                padding-right: 150px;
            }
        }

        .clx-navigation {
            display: none;
        }

        .clx-navigation-burger {
            display: block;
        }


        & section:first-child {

            .clx-logo {
                img {
                    height: 80px;
                }
            }
        }
    }

    main {
        padding-top: 100px;

        .subnav {
            display: none;
        }

        .content {
            width: 100%;
        }

    }

    footer {
        & section:first-child {

            .clx-logo {
                display: none;
            }

            h4 {
                margin-top: 0;
            }
        }

        & section:last-child {
            padding-top: 5px;

            .clx-content-right {
                padding-top: 5px;
                justify-content: flex-start;
            }

        }
    }

    h1,
    .h1,
    h2,
    .h2,
    h3,
    .h3,
    h4,
    .h4 {
        hyphens: auto;
    }
}

@media (max-width: 700px) {

    .clx-container {
        padding-left: 25px;
        padding-right: 25px;
    }

    header {
        & section:first-child {

            .clx-logo {
                img {
                    height: 80px;
                    height: auto;
                    width: 100%;
                }
            }
        }
    }

    main {
        padding-top: 14vw;
    }
}

@media only screen and (orientation: portrait) {}

@media print {

    html {
        font-size: 60%;
    }

    header,
    footer,
    nav,
    .clx-navigation-burger,
    .clx-totop,
    .clx-button,
    .clx-hero,
    .clx-parallax,
    .clx-video,
    .clx-bubble,
    .splide__arrow,
    .splide__pagination,
    #captcha {
        display: none !important;
    }

    /*
    footer {
        padding-top: 30px;
        background-color:transparent;        

        &>* {
            color: var(--clx-color);
        }
    }
    */
}